Qgis fails at rendering some features in different extents and OTF projections

2018-10-18 11:34 AM - Dor Fridman

Status: Closed

Priority: High

Assignee:

Category: Projection Support

Affected QGIS version:3.2.3 Regression?: Yes

Operating System: Windows 10 64-Bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 27972

Description

I'm using GADM countries dataset (https://gadm.org/) and global ~10km raster aiming to produce a global map.

Trying a variety of extents and projections, qgis fails at rendering the polygon of Canada. This problem is rather new, since it does not

occur in the LTR version (2.18.24).

https://gdurl.com/U0Kc

History

#1 - 2018-10-18 02:43 PM - Giovanni Manghi

- Priority changed from Low to High

- Status changed from Open to Feedback

- Category changed from Map Canvas to Projection Support

Just tried on qgis master on linux using the above projections: no issues here.

#2 - 2018-10-18 10:29 PM - Saber Razmjooei

- Subject changed from Qgis 3.2.3 fails at rendering some features in different extents and OTF projections to Qgis fails at rendering some features in 

different extents and OTF projections

#3 - 2019-01-02 08:19 PM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
